> For the complete documentation index, see [llms.txt](https://docs.anoncoin.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.anoncoin.it/apis/ticker-availability-api.md).

# Ticker Availability

> 🚧 **Coming Soon** - This endpoint is not yet live.

> 🔑 **Authentication required.** See [API Key](/apis/api-key.md) for setup and rate limits.

## `GET` /services/v2/ticker-availability

Check whether a ticker symbol is available for use before creating a coin.

```
GET https://api.anoncoin.it/services/v2/ticker-availability
```

***

## Query Parameters

| Parameter      | Type   | Required | Description                                 |
| -------------- | ------ | -------- | ------------------------------------------- |
| `tickerSymbol` | string | ✅        | The ticker symbol to check (e.g., `THANOS`) |

***

## Example Request

```bash
curl --location 'https://api.anoncoin.it/services/v2/ticker-availability?tickerSymbol=THANOS' \
  --header 'x-api-key: YOUR_API_KEY'
```

***

## Response (Available)

```json
{
    "status": true,
    "message": "Ticker is available",
    "data": null,
    "requestId": "88994de0-f310-11f0-9f26-1b1f1981f29e"
}
```

## Response (Not Available)

```json
{
    "status": false,
    "message": "tickerSymbol already exists",
    "data": null,
    "errorCode": null,
    "requestId": "0a06a7c0-f310-11f0-9f26-1b1f1981f29e"
}
```
